Name:           sleid0r-effects
Version:        0.1
Release:        1%{?dist}
Summary:        Collection of frei0r transition effects suitable for a slideshow

License:        LGPL-3.0+
URL:            http://cdslow.org.ru/en/sleid0r-effects
Source0:        %{name}-%{version}.tar.gz

%if 0%{?fedora}
    %global frei0r_devel frei0r-devel
%else
    %global frei0r_devel frei0r-plugins-devel
%endif

%if 0%{?suse_version}
    %global app_group Productivity/Multimedia/Video/Editors and Convertors
%else
    %global app_group Applications/Multimedia
%endif

BuildRequires:  %{frei0r_devel}
BuildRequires:  cmake

Group:          %{app_group}

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Collection of frei0r plugins (mixers),
suitable for a slideshow - 'push', 'slide' and 'wipe'.

%prep
%setup -q

%build
%if 0%{?cmake:1}
    %cmake .
%else
    CFLAGS="${CFLAGS:-%optflags}"
    export CFLAGS
    cmake \
        -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
        -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
        -DINCLUDE_INSTALL_DIR:PATH=%{_includedir} \
        -DLIB_INSTALL_DIR:PATH=%{_libdir} \
        -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
        -DSHARE_INSTALL_PREFIX:PATH=%{_datadir} \
        -DCMAKE_SKIP_RPATH:BOOL=ON \
        -DBUILD_SHARED_LIBS:BOOL=ON \
        .
%endif
make %{?_smp_mflags}

%install
%if 0%{?suse_version} > 0 && 0%{?suse_version} < 1200
    strip *.so
%endif

%if 0%{?make_install:1}
    %make_install
%else
    make install DESTDIR=%{buildroot}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755, root, root)
%dir %{_libdir}/frei0r-1
%{_libdir}/frei0r-1/sleid0r

%changelog
* Wed Aug  7 2013 Vadim Druzhin <cdslow@mail.ru> - 0.1-1
- First release
